Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents.interaction
Enum JustificationEnum

    java.lang.Object
      java.lang.Enum<JustificationEnum>
          org.pdfclown.documents.interaction.JustificationEnum

All Implemented Interfaces:
  Serializable, Comparable<JustificationEnum>

    public enum JustificationEnum

extends Enum<JustificationEnum>

Text justification [PDF:1.7:8.4.5,8.6.2].

Since:
  0.1.1
Version:
  0.1.2, 08/23/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Enum Constant Summary
`Center` Center.
`Left` Left.
`Right` Right.

Method Summary
`PdfInteger` | `getCode()`
`XAlignmentEnum` | `toXAlignment()`
`static JustificationEnum` | `valueOf(PdfInteger value)` Gets the justification corresponding to the given value.
`static JustificationEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JustificationEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Left

    public static final JustificationEnum Left

  Left.

### Center

    public static final JustificationEnum Center

  Center.

### Right

    public static final JustificationEnum Right

  Right.

Method Detail

### values

    public static JustificationEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JustificationEnum c : JustificationEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JustificationEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### valueOf

    public static JustificationEnum valueOf(PdfInteger value)

  Gets the justification corresponding to the given value.

### getCode

    public PdfInteger getCode()

### toXAlignment

    public XAlignmentEnum toXAlignment()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.